//Reference the orignal winter.css so we don't need to check if there are changes

@import "themeSettings.less";
@import "winter.less";
@import "bundles/ec_LanguageToggler.less";
@import "bundles/ec_Legend.less";
@import "bundles/ec_notifier.less";
@import "bundles/ec_WindowBase.less";
@import "bundles/ec_WindowDockingBar.less";
@import "bundles/ec_Tree.less";
@import "bundles/ec_wms_layer_selector.less";
@import "bundles/ec_user_tutorial.less";
@import "bundles/ec_error_messages.less";

.ec-overlay {
  position: absolute;
  z-index: 999999;
  background-color: #000;
  opacity: 0;
  background: -moz-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: -webkit-gradient(
    radial,
    center center,
    0px,
    center center,
    100%,
    color-stop(0%, rgba(0, 0, 0, 0.4)),
    color-stop(100%, rgba(0, 0, 0, 0.9))
  );
  background: -webkit-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: -o-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: -ms-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#66000000',endColorstr='#e6000000',GradientType=1);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
  filter: alpha(opacity=50);
  -webkit-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  -ms-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
  opacity: 0.8;
}
.@{themeName} {
  .header .logo {
    background-color: transparent;
  }

  .dijitButton,
  .dijitDropDownButton,
  .dijitComboButton,
  .dijitToggleButton {
    .dijitButtonNode {
      padding: 4px 12px 4px;
    }
  }
}
